# GimpUi.SizeEntry.prototype.set_value_boundaries

    function set_value_boundaries(field: Number(gint), lower: Number(gdouble), upper: Number(gdouble)): void {
        // Gjs wrapper for gimp_size_entry_set_value_boundaries()
    }

Limits the range of possible values which can be entered in field # field of the GimpUi.SizeEntry.

The current value of the field will be clamped to fit in the field's new boundaries.

NOTE: In most cases you won't be interested in this function because the GimpUi.SizeEntry's purpose is to shield the programmer from unit calculations. Use GimpUi.SizeEntry.prototype.set_refval_boundaries instead. Whatever you do, don't mix these calls. A size entry should either be clamped by the value or the reference value.

field

  The index of the field you want to set value boundaries for.

lower

  The new lower boundary of the value of the chosen field.

upper

  The new upper boundary of the value of the chosen field.